Code

gettextize: git-bisect bisect_run + $@ messages
authorÆvar Arnfjörð Bjarmason <avarab@gmail.com>
Tue, 14 Sep 2010 12:15:15 +0000 (12:15 +0000)
committerÆvar Arnfjörð Bjarmason <avarab@gmail.com>
Sat, 30 Oct 2010 07:58:26 +0000 (07:58 +0000)
Gettextize bisect_run messages that use the $@ variable. Since it's
subroutine local we have to provide an alias for it for eval_gettext.

Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
git-bisect.sh

index f715e84111430a7a1f358cff9b8ea06cad3aefa9..3b10ce677680f3eebf9c21bf00167206c2c906c3 100755 (executable)
@@ -366,14 +366,15 @@ bisect_run () {
 
     while true
     do
-      echo "running $@"
+      command="$@"
+      eval_gettext "running \$command"; echo
       "$@"
       res=$?
 
       # Check for really bad run error.
       if [ $res -lt 0 -o $res -ge 128 ]; then
-         echo >&2 "bisect run failed:"
-         echo >&2 "exit code $res from '$@' is < 0 or >= 128"
+         echo >&2 "$(eval_gettext "bisect run failed:
+exit code \$res from '\$command' is < 0 or >= 128")"
          exit $res
       fi